YEP battle engine core, undefined is not a fuction

Discussion in 'Javascript/Plugin Support' started by Kevinchatmajo, Oct 10, 2017.

  1. Kevinchatmajo

    Kevinchatmajo Warper Member

    Messages:
    2
    Likes Received:
    0
    First Language:
    Spanish
    Primarily Uses:
    RMMV
    Hello, I need some help. Im having this error.

    TypeError: undefined is not a function
    at Game_Actor.Game_Battler.startDamagePopup (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:3527:25)
    at Game_Action.apply (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:3255:14)
    at Function.BattleManager.invokeNormalAction (file:///C:/Users/Hope/Documents/Games/TKG/js/rpg_managers.js:2338:18)
    at Function.BattleManager.invokeAction (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:1862:10)
    at Function.<anonymous> (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:2474:14)
    at Array.forEach (native)
    at Function.BattleManager.actionActionEffect (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:2471:13)
    at Function.BattleManager.processActionSequence (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:2067:19)
    at Function.BattleManager.processActionSequenceCheck (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:2049:17)
    at Function.BattleManager.updateActionTargetList (file:///C:/Users/Hope/Documents/Games/TKG/js/plugins/YEP_BattleEngineCore.js:2005:19)

    What should be wrong?
     
    #1
  2. bgillisp

    bgillisp Global Moderators Global Mod

    Messages:
    11,894
    Likes Received:
    12,015
    Location:
    USA
    First Language:
    English
    Primarily Uses:
    RMVXA
    Usually that means one of the following:

    1: You didn't install the required plug-ins for it to work. Check and see if it has any prereqs listed.

    2: You have an old version of the plug-in installed, or an old version of another Yanfly plug-in which is calling something here which used to exist.

    3: You are using the newest plug-in but your version of MV is not 1.5.1.

    4: You didn't start a new game when testing the plug-in.
     
    #2

Share This Page